#ifndef CLOPRESULTLIST_H
#define CLOPRESULTLIST_H

#include <QWidget>
#include "CHttpBll.h"
#include "clopReport.h"

namespace Ui {
class clopResultList;
}

class clopResultList : public QWidget
{
    Q_OBJECT
signals:
    void goback();
public:
    explicit clopResultList(CPracticeCourseInfo pci, QString sBatchName, QWidget *parent = nullptr);
    ~clopResultList();

    void setUI(const int nLeft, const int nTop, const int nWidth, const int nHeight);
private slots:
    void onQueryPracticeRecordList(CQueryPracticeRecordList queryPracticeRecordList);
    void on_btn_clop_goback_clicked();

private:
    Ui::clopResultList *ui;

    std::shared_ptr<clopReport> m_pReport;
    std::vector<CPracticeRecord> m_vPracticeRecordList;
};

#endif // CLOPRESULTLIST_H
